> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get interview by id

> Get a interview by id



## OpenAPI

````yaml get /v1.0/{company_id}/interviews/{interview_id}
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/interviews/{interview_id}:
    get:
      tags:
        - Interviews
      operationId: Interviews_GetInterviewById
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
        - name: interview_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 2
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SingleResponseOfInterviewDto'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    SingleResponseOfInterviewDto:
      type: object
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/InterviewDto'
    ProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    InterviewDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the interview. Format `int_1a2b3c`
          format: int32
          nullable: true
        candidate_id:
          type: string
          description: The id of the candidate. Format `can_1a2b3c`
          format: int32
        application_id:
          type: string
          description: The id of the application. Format `app_1a2b3c`
          format: int32
        job_id:
          type: string
          description: The id of the job. Format `job_1a2b3c`
          format: int32
        event:
          $ref: '#/components/schemas/EventDetails'
        meta:
          $ref: '#/components/schemas/Meta2'
    EventDetails:
      type: object
      additionalProperties: false
      properties:
        title:
          type: string
          description: The title of the event.
        location:
          type: string
          description: The address of the interview if onsite.
        type:
          $ref: '#/components/schemas/InterviewTypeEnum'
        status:
          $ref: '#/components/schemas/InterviewStatusEnum'
        start:
          type: string
          description: The datetime the interview starts at
          format: date-time
        end:
          type: string
          description: The datetime the interview ends at
          format: date-time
        time_zone:
          type: string
          description: The timezone of the interview start and end date
        organizer_id:
          type: string
          description: The user id of the organiser
          format: int32
        attendees:
          type: array
          description: The list of attendees for this interview
          items:
            $ref: '#/components/schemas/Attendee'
    Meta2:
      type: object
      additionalProperties: false
      properties:
        note_for_candidate:
          type: string
        note_for_attendees:
          type: string
        attach_resume_to_invite:
          type: boolean
        online_meeting_type:
          $ref: '#/components/schemas/OnlineMeetingOption'
          nullable: true
        meeting_url:
          type: string
    InterviewTypeEnum:
      type: string
      description: ''
      x-enumNames:
        - Phone
        - Online
        - OnSite
      enum:
        - phone
        - online
        - on_site
    InterviewStatusEnum:
      type: string
      description: ''
      x-enumNames:
        - Active
        - Past
        - Cancelled
      enum:
        - active
        - past
        - cancelled
    Attendee:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the interview. Format `attd_1a2b3c`
          format: int32
        application_id:
          type: string
          description: >-
            The id of the application if the attendee is the candidate. Format
            `app_1a2b3c`
          format: int32
          nullable: true
        user_id:
          type: string
          description: The user id of the attendee if they are a user. Format `usr_1a2b3c`
          format: int32
          nullable: true
        type:
          $ref: '#/components/schemas/InterviewAttendeeEnum'
        status:
          $ref: '#/components/schemas/AttendeeRepsonseEnum'
        display_name:
          type: string
        email:
          type: string
    OnlineMeetingOption:
      type: string
      description: ''
      x-enumNames:
        - HangoutsMeet
        - EventNamedHangout
        - EventHangout
        - Unknown
        - SkypeForConsumer
        - SkypeForBusiness
        - TeamsForBusiness
      enum:
        - hangouts_meet
        - event_named_hangout
        - event_hangout
        - unknown
        - skype_for_consumer
        - skype_for_business
        - teams_for_business
    InterviewAttendeeEnum:
      type: string
      description: ''
      x-enumNames:
        - User
        - Candidate
        - Guest
      enum:
        - user
        - candidate
        - guest
    AttendeeRepsonseEnum:
      type: string
      description: ''
      x-enumNames:
        - Accepted
        - Pending
        - Maybe
        - Declined
      enum:
        - accepted
        - pending
        - maybe
        - declined
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````